summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/hime/README12
-rw-r--r--system/hime/hime.SlackBuild92
-rw-r--r--system/hime/hime.csh13
-rw-r--r--system/hime/hime.info10
-rw-r--r--system/hime/hime.sh12
-rw-r--r--system/hime/slack-desc19
6 files changed, 158 insertions, 0 deletions
diff --git a/system/hime/README b/system/hime/README
new file mode 100644
index 0000000000..acfc5af9a3
--- /dev/null
+++ b/system/hime/README
@@ -0,0 +1,12 @@
+hime (input method)
+
+hime is a chinese input method fork from gcin.
+
+How to start hime automatically:
+
+ 1. Add following line in ~/.xinitrc:
+ /usr/bin/hime -d &
+
+ 2. chmod +x /etc/profile.d/hime.sh (or hime.csh)
+
+ 3. logout then login, or reboot.
diff --git a/system/hime/hime.SlackBuild b/system/hime/hime.SlackBuild
new file mode 100644
index 0000000000..4c9f20417c
--- /dev/null
+++ b/system/hime/hime.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for hime
+
+# Copyright 2014 YuLin Wu, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hime
+VERSION=${VERSION:-0.9.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(echo $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+
+if [ -e $CWD/v$VERSION.tar.gz ]; then
+ mv $CWD/v$VERSION.tar.gz $CWD/$SRCNAM-$VERSION.tar.gz
+fi
+
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rf $PKG/usr/share/doc
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install $PKG/etc/profile.d
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/hime.sh > $PKG/etc/profile.d/hime.sh
+cat $CWD/hime.csh > $PKG/etc/profile.d/hime.csh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/hime/hime.csh b/system/hime/hime.csh
new file mode 100644
index 0000000000..825b8b21d4
--- /dev/null
+++ b/system/hime/hime.csh
@@ -0,0 +1,13 @@
+#!/bin/csh
+
+# hime-ime is a chinese-input-method.
+
+[ -x /usr/bin/hime ]
+if ($status == 0) then
+ setenv XMODIFIERS "@im=hime"
+ setenv GTK_IM_MODULE "hime"
+ setenv QT_IM_MODULE "hime"
+ setenv XIM_PROGRAM "/usr/bin/hime -d"
+endif
+
+# /usr/bin/hime -d &
diff --git a/system/hime/hime.info b/system/hime/hime.info
new file mode 100644
index 0000000000..45db812048
--- /dev/null
+++ b/system/hime/hime.info
@@ -0,0 +1,10 @@
+PRGNAM="hime"
+VERSION="0.9.10"
+HOMEPAGE="http://hime-ime.github.io/"
+DOWNLOAD="https://github.com/hime-ime/hime/archive/v0.9.10.tar.gz"
+MD5SUM="132b9d764ca50e3affa41b8e0bc93720"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="YuLin Wu"
+EMAIL="drm343@gmail.com"
diff --git a/system/hime/hime.sh b/system/hime/hime.sh
new file mode 100644
index 0000000000..75815d15f2
--- /dev/null
+++ b/system/hime/hime.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# hime-ime is a chinese-input-method.
+
+if [ -x /usr/bin/hime ]; then
+ export XMODIFIERS="@im=hime"
+ export GTK_IM_MODULE="hime"
+ export QT_IM_MODULE="hime"
+ export XIM_PROGRAM="/usr/bin/hime -d"
+fi
+
+# /usr/bin/hime -d &
diff --git a/system/hime/slack-desc b/system/hime/slack-desc
new file mode 100644
index 0000000000..7405564e01
--- /dev/null
+++ b/system/hime/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler-----------------------------------------------------|
+hime: hime (input method)
+hime:
+hime: hime is a chinese input method fork from gcin.
+hime: If you want autostart hime at x-window, Please see README.
+hime:
+hime: You could download source code or contact developer from here.
+hime: http://hime-ime.github.io/
+hime:
+hime:
+hime:
+hime: